SoLabel(3IV)

NAME
SoLabel — node containing label text string

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoLabel

SYNOPSIS
#include <Inventor/nodes/SoLabel.h>

Fields from class SoLabel:

SoSFName
label

Methods from class SoLabel:

SoLabel()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This class defines a label node in the scene graph. This node has no effect during traversal. It is used to store text labels in the scene graph, typically for application-specific identification of subgraphs when node naming is not appropriate.

FIELDS
SoSFName
label
Defines the label string value as an SbName.

METHODS

SoLabel()
Creates a label node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

FILE FORMAT/DEFAULTS
Label {
label	"<Undefined label>"
}

SEE ALSO
SbName, SoInfo